%define section free

Summary:        OpenSymphony Utilities
Name:           oscore
Version:        2.2.4
Release:        1jpp
Epoch:          0
License:        Apache Software License modified
URL:            http://www.opensymphony.com/oscore/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        oscore-2.2.4.tar.gz
#cvs -d :pserver:[user]@cvs.dev.java.net:/cvs login
#cvs -d :pserver:[user]@cvs.dev.java.net:/cvs export -r oscore_2_2_4 oscore

Patch0:         oscore-2.2.4-build_xml.patch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildRequires:  ant-junit >= 0:1.6
BuildRequires:  ant-nodeps >= 0:1.6
BuildRequires:  javacc
BuildRequires:  jtidy 
BuildRequires:  bsf 
BuildRequires:  httpunit 
BuildRequires:  junit >= 0:3.8.1
BuildRequires:  servletapi4 
BuildRequires:  xalan-j2 
BuildRequires:  xerces-j2 
BuildRequires:  jakarta-commons-logging 
BuildRequires:  jdom 
BuildRequires:  rhino 
BuildRequires:  pell-multipart
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-digester
BuildRequires:  itext
BuildRequires:  jasperreports >= 0:0.6.4
BuildRequires:  jakarta-poi
BuildRequires:  log4j
BuildRequires:  velocity
Requires:  bsf
Requires:  httpunit
Requires:  servletapi4
Requires:  xalan-j2
Requires:  xerces-j2
Requires:  jakarta-commons-logging
Requires:  jdom
Requires:  bsf
Requires:  rhino
Requires:  jakarta-commons-beanutils
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-digester
Requires:  itext
Requires:  jasperreports >= 0:0.6.4
Requires:  jakarta-poi
Requires:  log4j
Requires:  velocity
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OSCore is a set of utility-classes that are common to 
the other components of OpenSymphony. Contains essential 
functionality for any J2EE application.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q -n %{name}
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done

%patch0 -b .sav

%build
export OPT_JAR_LIST="clover10"


pushd lib/build
pushd jalopy
ln -sf $(build-classpath aelfred) .
ln -sf $(build-classpath jalopy) .
ln -sf $(build-classpath jalopy-ant) .
ln -sf $(build-classpath jdom) .
ln -sf $(build-classpath log4j) .
ln -sf $(build-classpath oro) .
ln -sf $(build-classpath xerces-j2) .
ln -sf $(build-classpath xml-commons-apis) .
popd
ln -sf $(build-classpath junit) .
ln -sf $(build-classpath mockobjects-j2ee1.3) .
ln -sf $(build-classpath mockobjects-alt) .
ln -sf $(build-classpath mockobjects) .
ln -sf $(build-classpath mockobjects-core) .
ln -sf $(build-classpath velocity) .
pushd xdoclet
ln -sf $(build-classpath commons-collections) .
ln -sf $(build-classpath xdoclet/xdoclet) .
ln -sf $(build-classpath xdoclet/xdoclet-bea-module) .
ln -sf $(build-classpath xdoclet/xdoclet-ejb-module) .
ln -sf $(build-classpath xdoclet/xdoclet-jboss-module) .
ln -sf $(build-classpath xdoclet/xdoclet-jmx-module) .
ln -sf $(build-classpath xdoclet/xdoclet-macromedia-module) .
ln -sf $(build-classpath xdoclet/xdoclet-orion-module) .
ln -sf $(build-classpath xdoclet/xdoclet-web-module) .
ln -sf $(build-classpath xjavadoc) .
popd
popd
pushd lib/core
ln -sf $(build-classpath commons-logging) .
ln -sf $(build-classpath crimson) .
ln -sf $(build-classpath ejb) .
ln -sf $(build-classpath log4j) .
ln -sf $(build-classpath javamail/mailapi) .
ln -sf $(build-classpath ognl) .
ln -sf $(build-classpath servlet) .
ln -sf $(build-classpath xalan-j2) .
ln -sf $(build-classpath xerces-j2) .
ln -sf $(build-classpath xml-commons-apis) .
popd

export OPT_JAR_LIST="ant/ant-junit junit"
ant -Dbuild.sysclasspath=first dist

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{name}*.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
rm -rf dist/docs/api

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr dist/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -p LICENSE.txt $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

# -----------------------------------------------------------------------------

%changelog
* Wed Sep 21 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.2.4-1jpp
- First JPackage release
